GNU Radio C++ API Reference: VectorDisplayPlot Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
VectorDisplayPlot Class Reference
GNU Radio C++ Signal Processing Blocks » QT Graphical Interfaces

QWidget for displaying 1D-vector plots. More...

`#include <gnuradio/qtgui/VectorDisplayPlot.h>`

## Public Slots
void | setMaxVecVisible (const bool)
void | setMinVecVisible (const bool)
void | setMinVecColor (QColor c)
void | setMaxVecColor (QColor c)
void | setMarkerLowerIntensityColor (QColor c)
void | setMarkerLowerIntensityVisible (bool visible)
void | setMarkerUpperIntensityColor (QColor c)
void | setMarkerUpperIntensityVisible (bool visible)
void | setMarkerRefLevelAmplitudeVisible (bool visible)
void | setMarkerRefLevelAmplitudeColor (QColor c)
void | setLowerIntensityLevel (const double)
void | setUpperIntensityLevel (const double)
void | onPickerPointSelected (const QPointF &p)
void | setAutoScale (bool state)
Public Slots inherited from DisplayPlot
virtual void | disableLegend ()
virtual void | setAxisLabels (bool en)
virtual void | setXaxis (double min, double max)
virtual void | setLineLabel (unsigned int which, QString label)
virtual QString | getLineLabel (unsigned int which)
virtual void | setLineColor (unsigned int which, QColor color)
virtual QColor | getLineColor (unsigned int which) const
virtual void | setLineWidth (unsigned int which, int width)
virtual int | getLineWidth (unsigned int which) const
virtual void | setLineStyle (unsigned int which, Qt::PenStyle style)
virtual Qt::PenStyle | getLineStyle (unsigned int which) const
virtual void | setLineMarker (unsigned int which, QwtSymbol::Style marker)
virtual QwtSymbol::Style | getLineMarker (unsigned int which) const
virtual void | setMarkerAlpha (unsigned int which, int alpha)
virtual int | getMarkerAlpha (unsigned int which) const
void | setLineColor1 (QColor)
void | setLineColor2 (QColor)
void | setLineColor3 (QColor)
void | setLineColor4 (QColor)
void | setLineColor5 (QColor)
void | setLineColor6 (QColor)
void | setLineColor7 (QColor)
void | setLineColor8 (QColor)
void | setLineColor9 (QColor)
void | setLineWidth1 (int)
void | setLineWidth2 (int)
void | setLineWidth3 (int)
void | setLineWidth4 (int)
void | setLineWidth5 (int)
void | setLineWidth6 (int)
void | setLineWidth7 (int)
void | setLineWidth8 (int)
void | setLineWidth9 (int)
void | setLineStyle1 (Qt::PenStyle)
void | setLineStyle2 (Qt::PenStyle)
void | setLineStyle3 (Qt::PenStyle)
void | setLineStyle4 (Qt::PenStyle)
void | setLineStyle5 (Qt::PenStyle)
void | setLineStyle6 (Qt::PenStyle)
void | setLineStyle7 (Qt::PenStyle)
void | setLineStyle8 (Qt::PenStyle)
void | setLineStyle9 (Qt::PenStyle)
void | setLineMarker1 (QwtSymbol::Style)
void | setLineMarker2 (QwtSymbol::Style)
void | setLineMarker3 (QwtSymbol::Style)
void | setLineMarker4 (QwtSymbol::Style)
void | setLineMarker5 (QwtSymbol::Style)
void | setLineMarker6 (QwtSymbol::Style)
void | setLineMarker7 (QwtSymbol::Style)
void | setLineMarker8 (QwtSymbol::Style)
void | setLineMarker9 (QwtSymbol::Style)
void | setMarkerAlpha1 (int)
void | setMarkerAlpha2 (int)
void | setMarkerAlpha3 (int)
void | setMarkerAlpha4 (int)
void | setMarkerAlpha5 (int)
void | setMarkerAlpha6 (int)
void | setMarkerAlpha7 (int)
void | setMarkerAlpha8 (int)
void | setMarkerAlpha9 (int)
void | setZoomerColor (QColor c)
void | setPaletteColor (QColor c)
void | setAxisLabelFontSize (int axisId, int fs)
void | setYaxisLabelFontSize (int fs)
void | setXaxisLabelFontSize (int fs)
void | setAxesLabelFontSize (int fs)
void | setStop (bool on)
void | resizeSlot (QSize *s)
void | onPickerPointSelected (const QPointF &p)

## Public Member Functions
| VectorDisplayPlot (int nplots, QWidget *)
| ~VectorDisplayPlot () override
| VectorDisplayPlot (const VectorDisplayPlot &)=delete
| VectorDisplayPlot (VectorDisplayPlot &&)=delete
VectorDisplayPlot & | operator= (const VectorDisplayPlot &)=delete
VectorDisplayPlot & | operator= (VectorDisplayPlot &&)=delete
void | setXAxisValues (const double start, const double step=1.0)
void | plotNewData (const std::vector< const double * > dataPoints, const int64_t numDataPoints, const double refLevel, const double timeInterval)
void | clearMaxData ()
void | clearMinData ()
void | replot () override
void | setYaxis (double min, double max) override
double | getYMin () const
double | getYMax () const
void | setXAxisLabel (const QString &label)
void | setYAxisLabel (const QString &label)
void | setXAxisUnit (const QString &unit)
void | setYAxisUnit (const QString &unit)
void | setTraceColour (QColor)
void | setBGColour (QColor c)
bool | getMaxVecVisible () const
bool | getMinVecVisible () const
const QColor | getMinVecColor () const
const QColor | getMaxVecColor () const
const QColor | getMarkerLowerIntensityColor () const
bool | getMarkerLowerIntensityVisible () const
const QColor | getMarkerUpperIntensityColor () const
bool | getMarkerUpperIntensityVisible () const
bool | getMarkerRefLevelAmplitudeVisible () const
const QColor | getMarkerRefLevelAmplitudeColor () const
Public Member Functions inherited from DisplayPlot
| DisplayPlot (int nplots, QWidget *)
| ~DisplayPlot () override
const QColor | getLineColor1 () const
const QColor | getLineColor2 () const
const QColor | getLineColor3 () const
const QColor | getLineColor4 () const
const QColor | getLineColor5 () const
const QColor | getLineColor6 () const
const QColor | getLineColor7 () const
const QColor | getLineColor8 () const
const QColor | getLineColor9 () const
int | getLineWidth1 () const
int | getLineWidth2 () const
int | getLineWidth3 () const
int | getLineWidth4 () const
int | getLineWidth5 () const
int | getLineWidth6 () const
int | getLineWidth7 () const
int | getLineWidth8 () const
int | getLineWidth9 () const
Qt::PenStyle | getLineStyle1 () const
Qt::PenStyle | getLineStyle2 () const
Qt::PenStyle | getLineStyle3 () const
Qt::PenStyle | getLineStyle4 () const
Qt::PenStyle | getLineStyle5 () const
Qt::PenStyle | getLineStyle6 () const
Qt::PenStyle | getLineStyle7 () const
Qt::PenStyle | getLineStyle8 () const
Qt::PenStyle | getLineStyle9 () const
QwtSymbol::Style | getLineMarker1 () const
QwtSymbol::Style | getLineMarker2 () const
QwtSymbol::Style | getLineMarker3 () const
QwtSymbol::Style | getLineMarker4 () const
QwtSymbol::Style | getLineMarker5 () const
QwtSymbol::Style | getLineMarker6 () const
QwtSymbol::Style | getLineMarker7 () const
QwtSymbol::Style | getLineMarker8 () const
QwtSymbol::Style | getLineMarker9 () const
int | getMarkerAlpha1 () const
int | getMarkerAlpha2 () const
int | getMarkerAlpha3 () const
int | getMarkerAlpha4 () const
int | getMarkerAlpha5 () const
int | getMarkerAlpha6 () const
int | getMarkerAlpha7 () const
int | getMarkerAlpha8 () const
int | getMarkerAlpha9 () const
QColor | getZoomerColor () const
QColor | getPaletteColor () const
int | getAxisLabelFontSize (int axisId) const
int | getYaxisLabelFontSize () const
int | getXaxisLabelFontSize () const
int | getAxesLabelFontSize () const

## Properties
QColor | min_vec_color
QColor | max_vec_color
bool | min_vec_visible
bool | max_vec_visible
QColor | marker_lower_intensity_color
bool | marker_lower_intensity_visible
QColor | marker_upper_intensity_color
bool | marker_upper_intensity_visible
QColor | marker_ref_level_color
bool | marker_ref_level_visible
Properties inherited from DisplayPlot
QColor | line_color1
QColor | line_color2
QColor | line_color3
QColor | line_color4
QColor | line_color5
QColor | line_color6
QColor | line_color7
QColor | line_color8
QColor | line_color9
int | line_width1
int | line_width2
int | line_width3
int | line_width4
int | line_width5
int | line_width6
int | line_width7
int | line_width8
int | line_width9
Qt::PenStyle | line_style1
Qt::PenStyle | line_style2
Qt::PenStyle | line_style3
Qt::PenStyle | line_style4
Qt::PenStyle | line_style5
Qt::PenStyle | line_style6
Qt::PenStyle | line_style7
Qt::PenStyle | line_style8
Qt::PenStyle | line_style9
QwtSymbolStyle | line_marker1
QwtSymbolStyle | line_marker2
QwtSymbolStyle | line_marker3
QwtSymbolStyle | line_marker4
QwtSymbolStyle | line_marker5
QwtSymbolStyle | line_marker6
QwtSymbolStyle | line_marker7
QwtSymbolStyle | line_marker8
QwtSymbolStyle | line_marker9
int | marker_alpha1
int | marker_alpha2
int | marker_alpha3
int | marker_alpha4
int | marker_alpha5
int | marker_alpha6
int | marker_alpha7
int | marker_alpha8
int | marker_alpha9
QColor | zoomer_color
QColor | palette_color
int | yaxis_label_font_size
int | xaxis_label_font_size
int | axes_label_font_size

## Additional Inherited Members
Signals inherited from DisplayPlot
void | plotPointSelected (const QPointF p)
Protected Slots inherited from DisplayPlot
virtual void | legendEntryChecked (QwtPlotItem *plotItem, bool on)
virtual void | legendEntryChecked (const QVariant &plotItem, bool on, int index)
Protected Attributes inherited from DisplayPlot
unsigned int | d_nplots
std::vector< QwtPlotCurve * > | d_plot_curve
QwtPlotPanner * | d_panner
QwtPlotZoomer * | d_zoomer
QwtDblClickPlotPicker * | d_picker
QwtPlotMagnifier * | d_magnifier
int64_t | d_numPoints
bool | d_stop
QList< QColor > | d_trace_colors
bool | d_autoscale_state

## Detailed Description

QWidget for displaying 1D-vector plots.

## Constructor & Destructor Documentation

## ◆ VectorDisplayPlot() [1/3]

VectorDisplayPlot::VectorDisplayPlot | ( | int | nplots,
|  | QWidget * | )

References getMarkerRefLevelAmplitudeColor(), and marker_ref_level_color.

Referenced by operator=(), operator=(), plotNewData(), and setXAxisValues().

## ◆ ~VectorDisplayPlot()

VectorDisplayPlot::~VectorDisplayPlot | ( |  | ) |
| override

References getMarkerRefLevelAmplitudeVisible(), marker_ref_level_visible, setMarkerRefLevelAmplitudeColor(), and setMarkerRefLevelAmplitudeVisible().

## ◆ VectorDisplayPlot() [2/3]

VectorDisplayPlot::VectorDisplayPlot | ( | const VectorDisplayPlot & |  | ) |
| delete

## ◆ VectorDisplayPlot() [3/3]

VectorDisplayPlot::VectorDisplayPlot | ( | VectorDisplayPlot && |  | ) |
| delete

## Member Function Documentation

## ◆ clearMaxData()

void VectorDisplayPlot::clearMaxData | ( |  | ) |

Referenced by getYMin().

## ◆ clearMinData()

void VectorDisplayPlot::clearMinData | ( |  | ) |

References plotNewData().

Referenced by getYMax().

## ◆ getMarkerLowerIntensityColor()

const QColor VectorDisplayPlot::getMarkerLowerIntensityColor | ( |  | ) | const

References setBGColour().

Referenced by getMarkerRefLevelAmplitudeColor().

## ◆ getMarkerLowerIntensityVisible()

bool VectorDisplayPlot::getMarkerLowerIntensityVisible | ( |  | ) | const

Referenced by getMarkerRefLevelAmplitudeColor().

## ◆ getMarkerRefLevelAmplitudeColor()

const QColor VectorDisplayPlot::getMarkerRefLevelAmplitudeColor | ( |  | ) | const

References getMarkerLowerIntensityColor(), getMarkerLowerIntensityVisible(), and getMaxVecColor().

Referenced by setMaxVecColor(), and VectorDisplayPlot().

## ◆ getMarkerRefLevelAmplitudeVisible()

bool VectorDisplayPlot::getMarkerRefLevelAmplitudeVisible | ( |  | ) | const

References getMinVecColor().

Referenced by setMinVecColor(), and ~VectorDisplayPlot().

## ◆ getMarkerUpperIntensityColor()

const QColor VectorDisplayPlot::getMarkerUpperIntensityColor | ( |  | ) | const

References getMaxVecVisible().

Referenced by setMaxVecVisible().

## ◆ getMarkerUpperIntensityVisible()

bool VectorDisplayPlot::getMarkerUpperIntensityVisible | ( |  | ) | const

References getMinVecVisible().

Referenced by setMinVecVisible().

## ◆ getMaxVecColor()

const QColor VectorDisplayPlot::getMaxVecColor | ( |  | ) | const

References setTraceColour().

Referenced by getMarkerRefLevelAmplitudeColor().

## ◆ getMaxVecVisible()

bool VectorDisplayPlot::getMaxVecVisible | ( |  | ) | const

References setXAxisUnit().

Referenced by getMarkerUpperIntensityColor().

## ◆ getMinVecColor()

const QColor VectorDisplayPlot::getMinVecColor | ( |  | ) | const

Referenced by getMarkerRefLevelAmplitudeVisible().

## ◆ getMinVecVisible()

bool VectorDisplayPlot::getMinVecVisible | ( |  | ) | const

References setYAxisUnit().

Referenced by getMarkerUpperIntensityVisible().

## ◆ getYMax()

double VectorDisplayPlot::getYMax | ( |  | ) | const

References clearMinData().

Referenced by setYAxisUnit().

## ◆ getYMin()

double VectorDisplayPlot::getYMin | ( |  | ) | const

References clearMaxData().

Referenced by setXAxisUnit().

## ◆ onPickerPointSelected

void VectorDisplayPlot::onPickerPointSelected | ( | const QPointF & | p | ) |
| slot

References setMarkerRefLevelAmplitudeColor(), and setMarkerRefLevelAmplitudeVisible().

Referenced by setAutoScale().

## ◆ operator=() [1/2]

VectorDisplayPlot & VectorDisplayPlot::operator= | ( | const VectorDisplayPlot & |  | ) |
| delete

References VectorDisplayPlot().

## ◆ operator=() [2/2]

VectorDisplayPlot & VectorDisplayPlot::operator= | ( | VectorDisplayPlot && |  | ) |
| delete

References VectorDisplayPlot().

## ◆ plotNewData()

void VectorDisplayPlot::plotNewData | ( | const std::vector< const double * > | dataPoints,
|  | const int64_t | numDataPoints,
|  | const double | refLevel,
|  | const double | timeInterval )

References setXAxisValues(), and VectorDisplayPlot().

Referenced by clearMinData().

## ◆ replot()

void VectorDisplayPlot::replot | ( |  | ) |
| overridevirtual

Implements DisplayPlot.

Referenced by setXAxisLabel().

## ◆ setAutoScale

void VectorDisplayPlot::setAutoScale | ( | bool | state | ) |
| slot

References onPickerPointSelected(), setAutoScale(), setLowerIntensityLevel(), and setUpperIntensityLevel().

Referenced by setAutoScale().

## ◆ setBGColour()

void VectorDisplayPlot::setBGColour | ( | QColor | c | ) |

References setYAxisLabel().

Referenced by getMarkerLowerIntensityColor().

## ◆ setLowerIntensityLevel

void VectorDisplayPlot::setLowerIntensityLevel | ( | const double |  | ) |
| slot

References setMarkerLowerIntensityVisible().

Referenced by setAutoScale().

## ◆ setMarkerLowerIntensityColor

void VectorDisplayPlot::setMarkerLowerIntensityColor | ( | QColor | c | ) |
| slot

Referenced by setMarkerRefLevelAmplitudeColor().

## ◆ setMarkerLowerIntensityVisible

void VectorDisplayPlot::setMarkerLowerIntensityVisible | ( | bool | visible | ) |
| slot

Referenced by setLowerIntensityLevel().

## ◆ setMarkerRefLevelAmplitudeColor

void VectorDisplayPlot::setMarkerRefLevelAmplitudeColor | ( | QColor | c | ) |
| slot

References setMarkerLowerIntensityColor(), and setMaxVecColor().

Referenced by onPickerPointSelected(), and ~VectorDisplayPlot().

## ◆ setMarkerRefLevelAmplitudeVisible

void VectorDisplayPlot::setMarkerRefLevelAmplitudeVisible | ( | bool | visible | ) |
| slot

References setMinVecColor().

Referenced by onPickerPointSelected(), and ~VectorDisplayPlot().

## ◆ setMarkerUpperIntensityColor

void VectorDisplayPlot::setMarkerUpperIntensityColor | ( | QColor | c | ) |
| slot

References setMaxVecVisible().

Referenced by setUpperIntensityLevel().

## ◆ setMarkerUpperIntensityVisible

void VectorDisplayPlot::setMarkerUpperIntensityVisible | ( | bool | visible | ) |
| slot

References setMinVecVisible().

Referenced by setUpperIntensityLevel().

## ◆ setMaxVecColor

void VectorDisplayPlot::setMaxVecColor | ( | QColor | c | ) |
| slot

References getMarkerRefLevelAmplitudeColor().

Referenced by setMarkerRefLevelAmplitudeColor().

## ◆ setMaxVecVisible

void VectorDisplayPlot::setMaxVecVisible | ( | const bool |  | ) |
| slot

References getMarkerUpperIntensityColor().

Referenced by setMarkerUpperIntensityColor().

## ◆ setMinVecColor

void VectorDisplayPlot::setMinVecColor | ( | QColor | c | ) |
| slot

References getMarkerRefLevelAmplitudeVisible().

Referenced by setMarkerRefLevelAmplitudeVisible().

## ◆ setMinVecVisible

void VectorDisplayPlot::setMinVecVisible | ( | const bool |  | ) |
| slot

References getMarkerUpperIntensityVisible().

Referenced by setMarkerUpperIntensityVisible().

## ◆ setTraceColour()

void VectorDisplayPlot::setTraceColour | ( | QColor |  | ) |

References setXAxisLabel().

Referenced by getMaxVecColor().

## ◆ setUpperIntensityLevel

void VectorDisplayPlot::setUpperIntensityLevel | ( | const double |  | ) |
| slot

References setMarkerUpperIntensityColor(), and setMarkerUpperIntensityVisible().

Referenced by setAutoScale().

## ◆ setXAxisLabel()

void VectorDisplayPlot::setXAxisLabel | ( | const QString & | label | ) |

References replot().

Referenced by setTraceColour().

## ◆ setXAxisUnit()

void VectorDisplayPlot::setXAxisUnit | ( | const QString & | unit | ) |

References getYMin().

Referenced by getMaxVecVisible().

## ◆ setXAxisValues()

void VectorDisplayPlot::setXAxisValues | ( | const double | start,
|  | const double | step = 1.0 )

References VectorDisplayPlot().

Referenced by plotNewData().

## ◆ setYaxis()

void VectorDisplayPlot::setYaxis | ( | double | min,
|  | double | max )
| overridevirtual

Reimplemented from DisplayPlot.

Referenced by setYAxisLabel().

## ◆ setYAxisLabel()

void VectorDisplayPlot::setYAxisLabel | ( | const QString & | label | ) |

References setYaxis().

Referenced by setBGColour().

## ◆ setYAxisUnit()

void VectorDisplayPlot::setYAxisUnit | ( | const QString & | unit | ) |

References getYMax().

Referenced by getMinVecVisible().

## Property Documentation

## ◆ marker_lower_intensity_color

QColor VectorDisplayPlot::marker_lower_intensity_color
| readwrite

## ◆ marker_lower_intensity_visible

bool VectorDisplayPlot::marker_lower_intensity_visible
| readwrite

## ◆ marker_ref_level_color

QColor VectorDisplayPlot::marker_ref_level_color
| readwrite

Referenced by VectorDisplayPlot().

## ◆ marker_ref_level_visible

bool VectorDisplayPlot::marker_ref_level_visible
| readwrite

Referenced by ~VectorDisplayPlot().

## ◆ marker_upper_intensity_color

QColor VectorDisplayPlot::marker_upper_intensity_color
| readwrite

## ◆ marker_upper_intensity_visible

bool VectorDisplayPlot::marker_upper_intensity_visible
| readwrite

## ◆ max_vec_color

QColor VectorDisplayPlot::max_vec_color
| readwrite

## ◆ max_vec_visible

bool VectorDisplayPlot::max_vec_visible
| readwrite

## ◆ min_vec_color

QColor VectorDisplayPlot::min_vec_color
| readwrite

## ◆ min_vec_visible

bool VectorDisplayPlot::min_vec_visible
| readwrite

The documentation for this class was generated from the following file:

- VectorDisplayPlot.h